#$Id$ 
# VT50-2000-2016-84-28-4
# $Copyright: Copyright (c) 2016 Veritas Technologies LLC.
# All rights reserved.
#
# THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
# VERITAS TECHNOLOGIES LLC.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
# WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF VERITAS TECHNOLOGIES LLC.
#
# The  Licensed  Software  and  Documentation  are  deemed  to be commercial
# computer  software  as  defined  in  FAR  12.212 and subject to restricted
# rights  as  defined in FAR Section 52.227-19 "Commercial Computer Software
# - Restricted  Rights"  and  DFARS 227.7202,  et seq.  "Commercial Computer
# Software  and  Commercial Computer Software Documentation," as applicable,
# and any successor regulations, whether delivered by Veritas as on premises
# or  hosted  services.  Any  use,  modification,  reproduction  release,
# performance,  display  or  disclosure  of  the  Licensed  Software  and
# Documentation by the U.S. Government shall be solely in accordance with
# the terms of this Agreement. $

package VRTS::Enclosure::VDID::NetApp;
use strict;
use Carp;
require Exporter;


sub new 
{
    my $class = shift;
    my $self = {};

    bless ($self, $class);
    return $self;
}

sub initialize
{
    my $top = shift;

    my $module = new VRTS::Enclosure::VDID::NetApp;
    return $module;

}

sub get_enclosure_vdid
{
    my ($self, $vendor, $product, $cabsno) = @_;

    return $vendor . '_' . $cabsno if ($vendor and $cabsno);
    return undef;
}


sub get_disk_vdid
{
    my ($self, $vendor_cabsno, $product, $serial, $is_pdev, $pdev_name) = @_;

    if (not defined $is_pdev or $is_pdev == 1)
    {
        return _get_pdev_vdid($vendor_cabsno, $pdev_name);
    } 

 # We want to generate an ldev vdid.
    return $vendor_cabsno . '_' . $serial;
}

sub _get_pdev_vdid
{
    my ($vendor_cabsno, $pdev_name) = @_;

    return $vendor_cabsno . '_' . $pdev_name;
}

1;
