#$Id$
# VT50-2000-2016-84-28-4
# $Copyright: Copyright (c) 2016 Veritas Technologies LLC.
# All rights reserved.
#
# THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
# VERITAS TECHNOLOGIES LLC.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
# WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF VERITAS TECHNOLOGIES LLC.
#
# The  Licensed  Software  and  Documentation  are  deemed  to be commercial
# computer  software  as  defined  in  FAR  12.212 and subject to restricted
# rights  as  defined in FAR Section 52.227-19 "Commercial Computer Software
# - Restricted  Rights"  and  DFARS 227.7202,  et seq.  "Commercial Computer
# Software  and  Commercial Computer Software Documentation," as applicable,
# and any successor regulations, whether delivered by Veritas as on premises
# or  hosted  services.  Any  use,  modification,  reproduction  release,
# performance,  display  or  disclosure  of  the  Licensed  Software  and
# Documentation by the U.S. Government shall be solely in accordance with
# the terms of this Agreement. $

package VRTS::Enclosure::VDID::XIV;
use strict;
use Carp;
require Exporter;

use vars qw($VERSION @ISA @EXPORT @EXPORT_OK $TO_DEFAULT);

sub new
{
    my $class = shift;
    my $self = {};

    bless ($self, $class);
    return $self;
}

sub initialize
{
    my $top = shift;

    my $module = new VRTS::Enclosure::VDID::XIV;
    return $module;

}


sub get_enclosure_vdid
{
    my ($self, $vendor, $type, $id) = @_;
    $id = sprintf('%x', $id);
    $id = uc $id;
    if (length($id) == 3)
    {
        $id = '0' . $id;
    }
    elsif (length($id) == 2)
    {
        $id = '00' . $id;
    }
    elsif (length($id) == 1)
    {
        $id = '000' . $id;
    }


    my $vdid = $vendor . '-' . $id . '_XIV';

    my $oldvdid = get_old_enclosure_vdid($vendor, $type, $id);

    return $vdid, $oldvdid;
}

sub get_old_enclosure_vdid
{
    my ($vendor, $type, $id) = @_;

    if($type eq '2812')
    {
        $type = '2810';
    }

    my $vdid = $vendor . '.' . $type . '-' . $id . '_XIV';

    return $vdid;
}


sub get_disk_vdid
{
    my ($self, $vendor, $product, $cabsno, $serial, $is_pdev, $devnum, $vdid) = (@_, undef);

    my $hexval = sprintf('%x', $devnum);
    $hexval = uc $hexval;
    if (length($hexval) == 3)
    {
        $hexval = '0' . $hexval;
    }
    elsif (length($hexval) == 2)
    {
        $hexval = '00' . $hexval;
    }
    elsif (length($hexval) == 1)
    {
        $hexval = '000' . $hexval;
    }
    $serial = sprintf('%x', $serial);
    $serial = uc $serial;
    if (length($serial) == 3)
    {
        $serial = '0' . $serial;
    }
    elsif (length($serial) == 2)
    {
        $serial = '00' . $serial;
    }
    elsif (length($serial) == 1)
    {
        $serial = '000' . $serial;
    }

    $vdid = 'IBM-' . $serial . '_XIV_' . $hexval;
    return $vdid;
}

1;
