#!/opt/VRTSsfmh/bin/perl

#$Id$
# VT50-2000-2016-84-28-4
# $Copyright: Copyright (c) 2016 Veritas Technologies LLC.
# All rights reserved.
#
# THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
# VERITAS TECHNOLOGIES LLC.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
# WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF VERITAS TECHNOLOGIES LLC.
#
# The  Licensed  Software  and  Documentation  are  deemed  to be commercial
# computer  software  as  defined  in  FAR  12.212 and subject to restricted
# rights  as  defined in FAR Section 52.227-19 "Commercial Computer Software
# - Restricted  Rights"  and  DFARS 227.7202,  et seq.  "Commercial Computer
# Software  and  Commercial Computer Software Documentation," as applicable,
# and any successor regulations, whether delivered by Veritas as on premises
# or  hosted  services.  Any  use,  modification,  reproduction  release,
# performance,  display  or  disclosure  of  the  Licensed  Software  and
# Documentation by the U.S. Government shall be solely in accordance with
# the terms of this Agreement. $

BEGIN { @INC = ("/opt/VRTSsfmh/lib/modules") if ( $^O !~ /Win32/i ) }

use lib;
use strict;
use CGI;
use JSON;
require VRTS::Util;
use File::Path;
use File::Spec;
use File::Temp;
use VRTS::Util;
use IO::Handle;
use File::Basename;
use VRTS::SISdk::Fabricate;
use VRTS::SISdk::Util;
my $installdir  = VRTS::Paths::get_path ("InstallDir");
my $appdir =  VRTS::Paths::get_path ("AppDir");
my $log_dir = File::Spec->catdir($appdir,"logs");

main();

sub main{
    my $query = new CGI();
    my $ret = 0;
    my $html ="";
    my $log = new VRTS::Logger(Module => 'sisdk', Logdir => $log_dir, Level => 'debug', Logfile => 'sisdkui.log', UmiString => '');
    
    my $formDataSubmit = $query->param("formDataSubmit"); 	 

    VRTS::Logger::log('debug', "<main 111111111>$formDataSubmit" );

    if ("deleteFile" eq $formDataSubmit) {
         VRTS::Logger::log('debug', "<main 2222 delete file>$formDataSubmit" );
 
         deleteFile($query, $log);
    }elsif ("finish" eq $formDataSubmit) {
         VRTS::Logger::log('debug', "<main 333 finish file>$formDataSubmit" );

        my $iName = $query->param("iName");
        my $iVersion = $query->param("iVersion");
        my $iVersion = "v".$query->param("iVersion"); #append v so that json can keep 0 after . (a json bug work around)
        my $iFamily = $query->param("iFamily");
        my $iVendor = $query->param("iVendor");
        my $iModel = $query->param("iModel");

        my $cmdScriptDirectory = $query->cookie("commandScript");
        my $cmdQueryScriptDirectory  = $query->param("commandScript");
        my $iDiscoveryFileName = $query->param("iDiscoveryFileName");
        my $cookieiName = $query->cookie(-name=>"iName", -value=> "$iName");	
        print "Set-Cookie:$cookieiName;\n"; 

        my $cookieiVersion = $query->cookie(-name=>"iVersion", -value=> "$iVersion");	
        print "Set-Cookie:$cookieiVersion;\n"; 
        my $cookieiFamily = $query->cookie(-name=>"iFamily", -value=> "$iFamily");	
        print "Set-Cookie:$cookieiFamily;\n";
        my $cookieiVendor = $query->cookie(-name=>"iVendor", -value=> "$iVendor");	
        print "Set-Cookie:$cookieiVendor;\n"; 
        my $cookieiModel = $query->cookie(-name=>"iModel", -value=> "$iModel");	
        print "Set-Cookie:$cookieiModel;\n";

        if ($cmdScriptDirectory ne "") {
          #the cookie is already there
        }else{   
            $cmdScriptDirectory = $cmdQueryScriptDirectory;
            my $cmdScriptDirectoryCookie = $query->cookie(-name=>"commandScript", -value=>"$cmdQueryScriptDirectory");	
            print "Set-Cookie:$cmdScriptDirectoryCookie;\n";
        }   
        my $discoveryFileNameCooke = $query->cookie(-name=>"iDiscoveryFileName", -value=> "$iDiscoveryFileName");	
        print "Set-Cookie:$discoveryFileNameCooke;\n";
        print "Location: ../htdocs/sisdk_cliParameter.html?commandScript=$cmdScriptDirectory&dScript=$iDiscoveryFileName\n\n";	  
    }elsif ("uploadAddOn" eq $formDataSubmit) {
                VRTS::Logger::log('debug', "<main 4444 finish file>$formDataSubmit" );
        my ($re, $plugin_conf) = VRTS::SISdk::Util::getAddOnConfig($query,  $appdir, $installdir);  
    
    }elsif ("uploadTestFile" eq $formDataSubmit){
        VRTS::Logger::log('debug', "<uploadTestFile111111>");

        my ($ret, $script) = uploadTestCommandFile($query,  $appdir, $installdir);
         
        VRTS::Logger::log('debug', " return script $script:$@"); 
        if ($ret ==0) {
           print "Content-type: text/html\n\n";
           print $script;        
        }else{
            print "Location: ../htdocs/sisdk_error.html\n\n";
        }
    }else{
          VRTS::Logger::log('debug', "<main 6666 uload file else file>$formDataSubmit" );

        ($ret, $html) = processFileUpload($query, $log);
        if ($ret == 0) {
            print "Content-type: text/html\n\n"; 
            print $html;
        }else{
            print "Location: ../htdocs/sisdk_error.html\n\n";
        }
    }
}

sub processFileUpload{
    my ($query, $log) = @_;
    my $commandScriptDirectory = $query->cookie('commandScript');
    if ($commandScriptDirectory eq "" || ! (defined $commandScriptDirectory) ) {
        $commandScriptDirectory  = $query->param("commandScript");
        if ($commandScriptDirectory eq "" || ! (defined $commandScriptDirectory) ) {		
            $commandScriptDirectory = File::Temp::tempnam ($appdir, "commandScript");
            eval ( File::Path::mkpath($commandScriptDirectory, 0, 0755) );
            if($@)
            {
                my $msg = "Internal Error";
                VRTS::Logger::log('debug',"Failed to create directory $commandScriptDirectory:$@");
                return 1, $msg;
            }  
        }else{
           #directory already there, more file upload
        }
        my $commandScriptDirectoryCookie = $query->cookie(-name=>"commandScript", -value=>"$commandScriptDirectory");	
        print "Set-Cookie:$commandScriptDirectoryCookie;\n";
    }

          VRTS::Logger::log('debug', "<processFileUpload>" );

    #discovery script
    my $inputFileType = $query->param("inputFileType");
    my $inputField = $query->param("inputField");
    my $inputFileName = $query->param("$inputField");

          VRTS::Logger::log('debug', "<processFileUpload>$inputFileName<inputFileName>" );
   


    my $inputFileTypeValue = $query->param("$inputFileType");
    my $filePathName = File::Spec->catfile ($commandScriptDirectory, "$inputFileName");
    my $html ="";

    if (-f $filePathName){
        $html = join "", "<script> parent.alertMessage('", $inputFileName, " already exists, please upload a different file.", "')</script>";
    }else{
        my ($ret, $uploadedFileName) = &handleFileUpload($inputFileName,$commandScriptDirectory,$installdir);
        if ($ret) {
            $html = join "", "<script> parent.alertMessage('", $uploadedFileName, ". Please check log for more information ", "')</script>";
        }else{
            if ("Readme.html" eq $inputFileName) {
              $inputFileType = "Readme";
            }
            if ("check_env.pl" eq $inputFileName) {
              $inputFileType = "Check Env Script";
            }
            $html = join "", "<script> parent.addFileUploadRow('tbUploadTableGrid', '", $uploadedFileName, "'", ", '", $inputFileType ,"','", $commandScriptDirectory, "')</script>";
        } 
   } 
    return (0, $html);
}

sub deleteFile{
    my ($query, $log) =  @_;
    print $query->header ("text/html;charset=utf-8");
    my $iDiscoveryFileName = $query->cookie('iDiscoveryFileName');
    my $fileToDelete =  $query->param("fileName");
    if ($fileToDelete eq $iDiscoveryFileName) {
        my $discoveryFileNameCooke = $query->cookie(-name=>"iDiscoveryFileName", -value=> "");	
        print "Set-Cookie:$discoveryFileNameCooke;\n";
    }

    my $commandScriptDirectory = $query->cookie('commandScript');
    if ($commandScriptDirectory eq "" || ! (defined $commandScriptDirectory) ) {		
        $commandScriptDirectory  = $query->param("commandScript");
    }
    my $fileToDelete  = $query->param("fileName");
    my $filePathName = File::Spec->catfile ($commandScriptDirectory, "$fileToDelete");
   
    if (-f $filePathName){
        unlink($filePathName);
        VRTS::Logger::log('debug', "$fileToDelete is deleted:$@");
    }   
}

sub uploadTestCommandFile{
    my $query1 = shift;
    my $appdir = shift;
    my $installdir = shift;
    my $query = new CGI();

    my $iTestFile  = $query->param("iTestFile");

    VRTS::Logger::log('debug', "<uploadTestCommandFile temp directory iTestFile>". $iTestFile);

    if ($iTestFile) {
       my $testFileDirectory = File::Temp::tempnam ($appdir, "testFile");
       VRTS::Logger::log('debug', "<uploadTestCommandFile temp directory>". $testFileDirectory);

       eval ( File::Path::mkpath($testFileDirectory, 0, 0755) );
            if($@)
            {
                my $msg = "Internal Error";
                VRTS::Logger::log('debug',"Failed to create directory $testFileDirectory:$@");
                return 1, $msg;
            }  
    
        my $tempdir = File::Basename::basename($testFileDirectory);
        my $baseFile= File::Basename::basename ($iTestFile);
        my $filePathName =   "\$VARDIR/" .$tempdir."/". "$baseFile";
 
        VRTS::Logger::log('debug', "<uploadTestCommandFile filePathName> ". $filePathName);

        my $html ="";
        my ($ret, $uploadedFileName) = &handleFileUpload($iTestFile,$testFileDirectory,$installdir);
        if ($ret) {
            $html = join "", "<script> parent.updateMessage('$filePathName'", ", '$baseFile'", ", ' is not uploaded sucessfully. Please check log for more information ", "')</script>";
        }else{
           $html = join "", "<script> parent.updateMessage('$filePathName'", ", '$baseFile'", ", ' is uploaded sucessfully.<p> Click &quot;Run Test&quot; button to launch test.", "')</script>";
        } 
        
        VRTS::Logger::log('debug', " return script $html:$@");
        return (0, $html);
     }
}